Summary: Generates and restores mask files based on original and update files.
Name: rhmask
Version: 1.0
Release: 9
Copyright: GPL
Group: Applications/System
Source: ftp.redhat.com:/pub/redhat/code/rhmask/rhmask-1.0.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The rhmask utility creates mask files from original and updated files.
The mask files, which may be the latest new versions of software, can
then be freely distributed on public Internet servers. The mask files
are only useful for people who who already have a copy of the original
package.  The rhmask utility uses a simple XOR scheme for creating the
file mask and uses file size and md5 sums to ensure the integrity of
the result.

Install the rhmask package if you need a utility for creating file
masks.

%prep
%setup -q -n rhmask

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
strip $RPM_BUILD_ROOT/usr/bin/rhmask

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_mandir}/man1/rhmask.*
/usr/bin/rhmask

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root
